#!/bin/sh

######################################
#Turds!
OPENSSL=openssl-1.0.1g
BDB=db-4.8.30
BOOST=boost_1_52_0
######################################

DIST=./distfiles
OURLIBS=$(realpath ./ourlibs)

tar xvfz $DIST/$OPENSSL.tar.gz;
cd $OPENSSL;
./Configure --prefix=$OURLIBS no-dso threads linux-x86_64 && make && make install_sw;
cd ..;

tar xvfz $DIST/$BDB.tar.gz;
cd $BDB/build_unix;
../dist/configure --enable-cxx --prefix=$OURLIBS &&
make &&
make install &&
cd ../..;

tar xvjf $DIST/$BOOST.tar.bz2;
cd $BOOST;
# echo "using gcc : arm : $CXX ;" >> tools/build/v2/user-config.jam;
./bootstrap.sh;
./bjam toolset=gcc link=static -sNO_BZIP2=1 -sNO_ZLIB=1 -sNO_COMPRESSION=1;
./bjam toolset=gcc link=static --prefix=$OURLIBS install;
cd ..;

export BOOST_INCLUDE_PATH=$OURLIBS/include
export BDB_INCLUDE_PATH=$OURLIBS/include
export OPENSSL_INCLUDE_PATH=$OURLIBS/include
export BOOST_LIB_PATH=$OURLIBS/lib
export BDB_LIB_PATH=$OURLIBS/lib
export OPENSSL_LIB_PATH=$OURLIBS/lib

cd bitcoin/bitcoin/src;
make STATIC=all -f makefile.unix bitcoind
strip bitcoind
